from __future__ import absolute_import

import os.path

from django_configglue.utils import configglue
from webcatalog.schema import WebCatalogSchema


# get absolute path for config files
current_dir = os.path.dirname(os.path.abspath(__file__))
config_files = [path for path in map(lambda x: os.path.join(current_dir, x),
                   ['config/main.cfg', '../../local_config/local.cfg',
                    'local.cfg'])
                if os.path.exists(path)]

configglue(WebCatalogSchema, config_files, __name__)

import djcelery
djcelery.setup_loader()
