var setup_screenshots = function(num_screenshots, appName, combo_path, ajax_uri) {
    YUI({combine: true, comboBase: combo_path, root: 'yui/3.4.0/build/'}).use('io-base','uwc-carousel', function(Y) {
        if (num_screenshots == 0) {
            var uri = ajax_uri;
            function complete(id, obj) {
                var json = JSON.parse(obj.responseText);
                num_screenshots = json.length;
                if (num_screenshots > 0) {
                    var content_div = document.createElement('div');
                    content_div.className = 'carousel-wrapper';
                    var carousel_div = document.createElement('div');
                    carousel_div.id = 'screenshots-carousel';
                    carousel_div.className = 'carousel';
                    content_div.appendChild(carousel_div)
                    var ol = document.createElement('ol')
                    ol.className = 'carouselol';
                    carousel_div.appendChild(ol);
                    for (var i in json) {
                        var url = json[i];
                        var li = document.createElement('li');
                        li.className = 'slide';
                        ol.appendChild(li);
                        var img = document.createElement('img');
                        img.src = url;
                        li.appendChild(img);
                    }
                    var screenshots_div = Y.one('#screenshots_placeholder');
                    screenshots_div.get('childNodes').remove();
                    screenshots_div.appendChild(content_div);
                    setup_carousel();
                    setupViewerPanel();
                };
            };
            Y.on('io:complete', complete, Y);
            var request = Y.io(uri);
        } else {
            setup_carousel();
            setupViewerPanel();
        }

        function setupViewerPanel() {
            if (num_screenshots == 0) {
                return;
            }
            var panel = new Y.Panel({
                width: 860,
                centered: true,
                zIndex: 50,
                modal: true,
                visible: false,
                render: false,
                buttons: [
                    {
                        value: 'Close',
                        section: 'footer',
                        action: function(e) {
                            e.preventDefault();
                            panel.hide();
                        }
                    }
                ]
            });
            var bb = panel.get('boundingBox');
            var slides = Y.all('.slide img');
            slides.on("click", function(e){
                    var slide = e.currentTarget;
                    var url = slide.getAttribute('src');
                    url = url.replace('/225x170/', '/800x800/');
                    heading = appName + ' - screenshot ';
                    panel.setStdModContent(Y.WidgetStdMod.HEADER, heading);
                    panel.setStdModContent(Y.WidgetStdMod.BODY, '<img width="800" src="' + url +'"/>');
                    panel.render('#viewerPanel');
                    panel.show();
                }, this);
        }

        function setup_carousel() {
            if (num_screenshots < 2) {
                return;
            }
            var caro = new Y.uwc.Carousel({
                nodeContainer: "#screenshots-carousel",
                controlsContainer: "#nocontrols",
                autoPlay: false,
                slideAnimDuration: 0.6
            });
            Y.all('.slide').removeClass('disabled');
        }
    });
}
