#   -*- coding: utf-8 -*-
#   This file is part of the Apps Directory
#   Copyright (C) 2011 Canonical Ltd.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Import various view, model and other tests for django's default runner."""
from .test_api import *
from .test_commands import *
from .test_context_processors import *
from .test_department_filters import *
from .test_forms import *
from .test_handlers import *
from .test_models import *
from .test_models_oauth import *
from .test_managers import *
from .test_migrations import *
from .test_oops_wsgi_config import *
from .test_pep8 import *
from .test_preflight import *
from .test_tasks import *
from .test_templatetags import *
from .test_utilities import *
from .test_views import *

# disable logging when running tests
import logging
logging.disable(logging.CRITICAL)
